Page 1 of 4 123 ... LastLast
Results 1 to 10 of 31

Thread: libraries not found in digikam

  1. #1

    Default libraries not found in digikam

    The version of digikam provided with opensuse 13.1 x86_64 needs 4 libraries (libImath.so.7, libIlmImf.so.7, libIex.so.7, libHalf.so.7) that are installed with opensuse, but not the suitable versions. Thus, the package libImath-2_0-10-2.0.1-2.1.2.x86_64 is actually present on the system, but doesn't provides so.7 libraries.

    I don't know if it exists an opensuse repository that offers suitable libraries for digikam

  2. #2

    Exclamation Re: libraries not found in digikam

    ok, those libraries belong to opensuse 12.3. I was able to install them from 12.3 and run digikam 3.5. It is possible that digikam still uses the previous versions of those libraries, instead of openEXR-2.0

    Anyhow, the current version of digikam can't work with opensuse 13.1 without specific updates or... downdates

  3. #3
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    974

    Default Re: libraries not found in digikam

    I am still on 12.3, but planning 13.1 soon and use Digikam a lot.
    Gnome or KDE (or ?)

    In these situations, I find Package Search to be invaluable.

    I took a quick look, libimath7 is available in an "unstable" 13.1 repository, and you will see the 12.3 versions as well.

    How did you install digikam?
    I looked in my 12.3 system - YAST - digikam - dependencies tab and don't see any of these listed as dependencies.
    As a further test, I selected to remove libimath7 from my system, got dependency related complaints but not from digikam, and canceled the removal.

    I just remembered - I have 13.1 running in a VM, have not done much with it.
    Digikam 3.5.0 is installed, I have version 3.5.0-2.17x86_64 installed from the KDE-Extras repository and it opens fine - I did not try to do anything .
    Someting does look strange, as I see 3.5.0-4.1 in the OSS repo.
    Try the Extras version, perhaps that was a late fix-up.
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  4. #4

    Default Re: libraries not found in digikam

    I made a simple upgrade from 12.3 to 13.1 digikam was upgraded from 3.1 to 3.5 but I wasn't able to run it due to the libs problem. Then I got the 12.3 DVD and rpm -i the wanted packages from it.

  5. #5

    Default Re: libraries not found in digikam

    Quote Originally Posted by skylendar View Post
    The version of digikam provided with opensuse 13.1 x86_64 needs 4 libraries (libImath.so.7, libIlmImf.so.7, libIex.so.7, libHalf.so.7) that are installed with opensuse, but not the suitable versions. Thus, the package libImath-2_0-10-2.0.1-2.1.2.x86_64 is actually present on the system, but doesn't provides so.7 libraries.

    I don't know if it exists an opensuse repository that offers suitable libraries for digikam
    Maybe you installed the version for 12.3?

    It works fine here on 13.1 _without_ any 12.3 libraries.
    And my digikam (from the 13.1 standard repo) requires libHalf.so.10 (not libHalf.so.7) f.e. which _is_ included in 13.1.

    Please post the output of those:
    Code:
    zypper lr -d
    Code:
    rpm -qi digikam

  6. #6
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    974

    Default Re: libraries not found in digikam

    I have to say I am somewhat confused now.

    My 13.1 64 bit Vbox test machine opens digikam fine.
    A 13.1 install, 32 bit KDE, has the "stock" OSS digikam 3.5.0 and it opens as well

    I have no libimath7 on either machine.

    How do you see this error - startup or particular functionality/tool?
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  7. #7

    Default Re: libraries not found in digikam

    ok,

    zypper lr -d

    Code:
     1 | download.opensuse.org-Extra    | openSUSE BuildService - KDE:Extra  | Oui    | Oui        |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_13.1/       |        
     2 | download.opensuse.org-database | openSUSE BuildService - Database   | Oui    | Oui        |   99     | rpm-md | http://download.opensuse.org/repositories/server:/database/openSUSE_13.1/ |        
     3 | ftp.gwdg.de-suse               | Packman Repository                 | Oui    | Oui        |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.1/                  |        
     4 | openSUSE-13.1-1.10             | openSUSE-13.1-1.10                 | Oui    | Non        |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-ATAPI_DVD-ROM_16X_Maximum              |        
     5 | opensuse-guide.org-repo        | libdvdcss repository               | Oui    | Oui        |   99     | rpm-md | http://opensuse-guide.org/repo/13.1/                                      |        
     6 | repo-debug                     | openSUSE-13.1-Debug                | Non    | Non        |   99     | NONE   | http://download.opensuse.org/debug/distribution/13.1/repo/oss/            |        
     7 | repo-debug-update              | openSUSE-13.1-Update-Debug         | Non    | Non        |   99     | NONE   | http://download.opensuse.org/debug/update/13.1/                           |        
     8 | repo-debug-update-non-oss      | openSUSE-13.1-Update-Debug-Non-Oss | Non    | Non        |   99     | NONE   | http://download.opensuse.org/debug/update/13.1-non-oss/                   |        
     9 | repo-non-oss                   | openSUSE-13.1-Non-Oss              | Oui    | Oui        |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/non-oss/              |        
    10 | repo-oss                       | openSUSE-13.1-Oss                  | Oui    | Oui        |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/oss/                  |        
    11 | repo-source                    | openSUSE-13.1-Source               | Non    | Non        |   99     | NONE   | http://download.opensuse.org/source/distribution/13.1/repo/oss/           |        
    12 | repo-update                    | openSUSE-13.1-Update               | Oui    | Oui        |   99     | rpm-md | http://download.opensuse.org/update/13.1/                                 |        
    13 | repo-update-non-oss            | openSUSE-13.1-Update-Non-Oss       | Oui    | Oui        |   99     | rpm-md | http://download.opensuse.org/update/13.1-non-oss/                         |
    rpm -qi digikam

    Code:
    Name        : digikam
    Version     : 3.5.0
    Release     : 4.1
    Architecture: x86_64
    Install Date: dim. 08 déc. 2013 00:39:09 CET
    Group       : Productivity/Graphics/Viewers
    Size        : 28131731
    License     : GPL-2.0+
    Signature   : RSA/SHA256, lun. 21 oct. 2013 18:05:50 CEST, Key ID b88b2fd43dbdc284
    Source RPM  : digikam-3.5.0-4.1.src.rpm
    Build Date  : lun. 21 oct. 2013 17:56:20 CEST
    Build Host  : cloud121
    Relocations : (not relocatable)
    Packager    : http://bugs.opensuse.org
    Vendor      : openSUSE
    URL         : http://www.digikam.org/
    Summary     : A KDE Photo Manager
    Description :
    digiKam is a simple digital photo management application for KDE, which
    allows you to import and organize your digital photos easily. The
    photos can be organized in albums, which can be sorted chronologically,
    by directory layout, or by custom collections. An easy-to-use interface
    that enables you to connect to your camera and preview, download, or
    delete your images, is provided.
    Distribution: openSUSE 13.1

  8. #8
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    974

    Default Re: libraries not found in digikam

    Quick observation - you are running the OSS version of digikam, even though you have the KDE-Extra repo enabled.

    You will have to force load the KDE-Extras version if you want it.

    But, I don't think that is your problem, as both wolfi and I are successful running Digikam.

    You did not mention from where you are getting this dependency error.

    Is this, by chance, facial recognition related?
    I sort of recall some discussion on the Digikam forum about packaging issues with hugein plugins.
    Not necessarily openSUSE related, IIRC. Did you look there?
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  9. #9

    Default Re: libraries not found in digikam

    I did as you suggested. Forced the upgrade but I got the same result.

    However there is maybe a possible explanation: In opensuse 12.3, I had to manually recompile opencv because it crashed due to the fact that my old AMD64 is unable to deal with SSE2, but it is opencv, but openEXR. Btw, this problem seems to be fixed in the present version of opencv

  10. #10

    Default Re: libraries not found in digikam

    Quote Originally Posted by skylendar View Post
    However there is maybe a possible explanation: In opensuse 12.3, I had to manually recompile opencv because it crashed due to the fact that my old AMD64 is unable to deal with SSE2, but it is opencv, but openEXR. Btw, this problem seems to be fixed in the present version of opencv
    Yes that's possible.
    So install libopencv2_4 from the standard 13.1 repo.
    It works fine on my Athlon64 3000+, which does support SSE2 but not SSE3 which opencv needed.


    And yes, this has been fixed half a year ago, and even released for 12.3 as update:
    Code:
    * Fri Mai 10 2013 hrvoje.senjan@gmail.com- Disable SSE3 for all architectures (bnc#814333)
    
    
    * Thu Mai 09 2013 hrvoje.senjan@gmail.com
    - Disable SSE(2) on non x86_64 architectures, causes crashing
      kde#276923, bnc#789173

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •